REST APIIdentityKnow Your Business (KYB)

GET

Get details about a specific KYB document including file information. Users can only access documents they created.

Path Params

  • documentId string uuid required
    Unique identifier for the document

Responses

200
200

Response Body

object

Response containing document information
  • documentId string required
    Unique identifier for the document
  • documentType string enum required
    Type of document being uploaded
    governmentIdcommercialRegisterarticlesOfAssociationcertificateOfIncorporationcertificateOfGoodStandingcertificateOfTrustcertificateOfIncumbencycertificateOfIncumbencyOrShareRegisterproofOfPrincipalPlaceOfBusinessactiveTradeLicenseresolutionToOpenBitgoUaeAccountresolutionToOpenBitgoSingaporeAccountproofOfAuthorizedSignatoriesmemorandumOfAssociationmemorandumAndArticlesOfAssociationbylawsOrOperatingAgreementoperatingAgreementw8w9evidenceOfLegalStatusevidenceOfActiveStatusproofOfJfsaLicenseproofOfGamingLicenseorganizationDocumentpartnershipAgreementarticlesOfOrganizationbusinessLicenseOrRegistrationevidenceOfGovernmentOrStateOwnershipsecFilingsAsEvidenceOfPublicTradingStatusfoundingTreatyOrEquivalentproofOfAddresssourceOfWealthsingaporeSupportingDocumentcaseRequiredDocumentscorrespondentAccountCertificationauthorizedSignerForm
  • documentTypeLabel string required
    Human-readable label for the document type
  • subType string enum
    Subtype of document (relevant for governmentId and singaporeSupportingDocument document types)
    cctciddlfoidhicidippkeypltpassmunidmynnbinricofwrppanpidppppcprssstdtribalidumidvidvisawpcomputerizedPayslipsincomeTaxAssessmentemploymentLetterContractbankStatementdptHoldingStatementinvestmentHoldingsStatementtitleDeedspropertyTaxCpfStatementother
  • status string enum required
    Current status of the document
    awaitingUploaduploadedacceptedrejected
  • enterpriseId string nullable required
    Enterprise associated with the document when created, or null for legacy documents
  • forUserId string nullable required
    BitGo public user ID the document was created for, or null when not attributed
  • metadata map of objects
    Optional metadata for the document
    metadata object
    • <key> object nullable
  • files array of objects required
    List of files associated with the document
    files object
    • id string required
      Unique identifier for the file
    • view string enum
      View or side of the document file
      frontbackfull
    • status string enum required
      Current status of the file upload. requiresManualReview is a terminal state set after 2 failed AI screening attempts; the file is locked and Trust ops resolves it manually.
      awaitingUploaduploadedacceptedrejectedrequiresManualReview
    • fileName string
      Original filename of the uploaded file
    • fileType string
      MIME type of the file
    • fileSize number
      Size of the file in bytes
    • uploadUrl string uri
      Presigned URL for file upload
    • downloadUrl string uri
      Presigned URL for file download
    • uploadUrlExpiresAt string date-time
      When the upload URL expires
    • rejectionReason string
      Human-readable reason when status is rejected (e.g. illegible scan, wrong document type)
    • createdAt string date-time required
      When the file was created
    • updatedAt string date-time required
      When the file was last updated
  • createdAt string date-time required
    When the document was created
  • updatedAt string date-time required
    When the document was last updated
400
400

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
401
401

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
403
403

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
404
404

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
500
500

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable